#include <stdio.h>
#include <stdlib.h>

int main(){
    int N;
    printf("Unesi N: ");
    scanf("%d", &N);
    long int A[N], B[N];
    for(int i = 0; i<N;i++)
    {
        printf("Unesi a[%d]", i+1);
        scanf("%d", &A[i]);
    }
    for(int i = 0; i<N;i++)
    {
        printf("Unesi b[%d]", i+1);
        scanf("%d", &B[i]);
    }
    long podniz=0;
    for(int i =0; i < N; i++){
        if(A[i]>=1 && A[i]<=B[i] && B[i]<= N){
            if(A[i-1]^A[i]*B[i-1] & B[i]>podniz)
                podniz = A[i-1]^A[i]*B[i-1] & B[i];
        }
    }
    printf("%ld", podniz);
    return 0;
}